Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001852TestLinkRequirement Managementpublic2008-11-10 20:272009-01-20 05:19
Reporteraksinghv 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.8 RC 3 
Summary0001852: Bulk Assignment of Requirements when we already have test cases created
DescriptionUse Case:

ProductA:
    |-->Windows(x32)
           |-->Feature1(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Feature2(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Featuren(count-n)
                  |-->Sub-Feature1(nnnn)
                  |-->Sub-Feature2(nnn)
                  |-->Sub-Feature3(nnn)
                  |-->Sub-Feature4(nnn)
    |-->Windows(x64)
           |-->Feature1(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Feature2(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Featuren(count-n)
                  |-->Sub-Feature1(nnnn)
                  |-->Sub-Feature2(nnn)
                  |-->Sub-Feature3(nnn)
                  |-->Sub-Feature4(nnn)
    |-->Solaris(x32)
           |-->Feature1(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Feature2(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Featuren(count-n)
                  |-->Sub-Feature1(nnnn)
                  |-->Sub-Feature2(nnn)
                  |-->Sub-Feature3(nnn)
                  |-->Sub-Feature4(nnn)

In our test system, we had already created test cases in above tree fashion. Now, we have added a couple of requirements.

At the moment, I am can assign Requirements from "Available Requirements" at each test case level.
But, I am trying to do the bulk "assign requirement" at feature level. Currently, this can not be done as it does not show any "Available Requirements". Is it possible to include this great time saving feature.

Let me know, if you need more information.
Additional InformationMy System Configurations:
Operating System: Windows 2008 x64
RAM: 2GB

Apache : 2.2.10
PHP : 5.3.0alpha3-dev
MySQL : 6.0.7 alpha
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFF3, IE7
PHP Version5.3.0
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0004568)
fman (administrator)
2008-11-10 21:12

1. good info have a property: too few is bad, too much is bad -> yoy do not need to write this amount of info on description

2. what about someone at your shop with programming skills to help us ?
(0004615)
mhavlat (reporter)
2008-11-13 23:18

It seems useful feature. Acknowledged.
(0004725)
fman (administrator)
2008-12-01 02:12

first version available on CVS
(0004726)
fman (administrator)
2008-12-01 02:13

Reminder sent to: mhavlat

Hi! would you mind to get last code and give a look to this feature
to update documentation and /or suggest changes
(0004734)
mhavlat (reporter)
2008-12-01 05:22

Ok. I'll do.
(0004751)
fman (administrator)
2008-12-03 02:03

Please Remember to reassign to right developer before set to resolved
(0004872)
aksinghv (reporter)
2008-12-19 20:43

I am sorry for the wrong upload. It was meant for a separate incident.
I am sorry. Please delete the attachment.
(0004873)
aksinghv (reporter)
2008-12-19 20:46

This works at my end.

Thanks for the fix.

- Issue History
Date Modified Username Field Change
2008-11-10 20:27 aksinghv New Issue
2008-11-10 20:27 aksinghv Browser => FF3, IE7
2008-11-10 20:27 aksinghv PHP Version => 5.3.0
2008-11-10 21:12 fman Note Added: 0004568
2008-11-13 23:18 mhavlat Note Added: 0004615
2008-11-13 23:18 mhavlat Status new => acknowledged
2008-11-17 19:41 fman Status acknowledged => assigned
2008-11-17 19:41 fman Assigned To => fman
2008-12-01 02:12 fman Status assigned => resolved
2008-12-01 02:12 fman Fixed in Version => next development 1.8 RC 2
2008-12-01 02:12 fman Resolution open => fixed
2008-12-01 02:12 fman Note Added: 0004725
2008-12-01 02:13 fman Note Added: 0004726
2008-12-01 05:22 mhavlat Status resolved => assigned
2008-12-01 05:22 mhavlat Assigned To fman => mhavlat
2008-12-01 05:22 mhavlat Note Added: 0004734
2008-12-03 02:03 fman Note Added: 0004751
2008-12-19 20:38 aksinghv File Added: TestUrgency.jpg
2008-12-19 20:43 aksinghv Note Added: 0004872
2008-12-19 20:46 aksinghv Note Added: 0004873
2008-12-19 21:26 fman File Deleted: TestUrgency.jpg
2008-12-19 21:26 fman Assigned To mhavlat => fman
2008-12-19 21:27 fman Status assigned => resolved
2008-12-19 21:27 fman Fixed in Version 1.8 RC 2 => next development 1.8 RC3
2009-01-20 05:19 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker